SCSI_REPORT_LUN_SCAN(9)

NAME
scsi_report_lun_scan - Scan using SCSI REPORT LUN results

SYNOPSIS

int scsi_report_lun_scan(struct scsi_target * starget, int bflags, int rescan);

ARGUMENTS

starget
    which target

bflags
    Zero or a mix of BLIST_NOLUN, BLIST_REPORTLUN2, or BLIST_NOREPORTLUN

rescan
    nonzero if we can skip code only needed on first scan

DESCRIPTION

Fast scanning for modern (SCSI-3) devices by sending a REPORT LUN command. Scan the resulting list of LUNs by calling scsi_probe_and_add_lun.

If BLINK_REPORTLUN2 is set, scan a target that supports more than 8 LUNs even if it's older than SCSI-3. If BLIST_NOREPORTLUN is set, return 1 always. If BLIST_NOLUN is set, return 0 always. If starget->no_report_luns is set, return 1 always.

0

scan completed (or no memory, so further scanning is futile)

1

could not scan with REPORT LUN

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT